<?php
session_start();
require("conexion.php");
if(isset($_SESSION['nom_admin'])==false){
    header('Location: index.php');
}else{
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipou'];
$priv = $_SESSION['Priv'];
$tipou= $_SESSION['tipou'];
if($suc == 1){
    $pre = 'CUL-';
    $not = 'NV';
    $sucn = 'SUCURSAL CULIACAN';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $not = 'NV';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $not = 'NV';
    $sucn = 'SUCURSAL HERMOSILLO';
}
}
?>
<html>
    <head>
        
        <title>Busqueda</title>
        
        
        <link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.css">
  
  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script> 
  <link type="text/css" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/south-street/jquery-ui.css" rel="stylesheet"> 
  <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

  <link rel="stylesheet" type="text/css" href="assets/jquery.signature.css">
  <link type="text/css" rel="stylesheet" href="./css/bootstrap.min.css"  media="screen,projection"/>
        <link rel="stylesheet" type="text/css" href="./css/prueba.css">
        <style>
            .kbw-signature { width: 400px; height: 200px;}
            #sig canvas{
                width: 100% !important;
                height: auto;
            }
            .ui-widget-content {
            border: 1px solid #dfd9c3;
            background:#3EA55D; 
            color: #312e25;}
        </style>

    </head>
    <body >
<?php 

include('menu.php'); ?>

<section>
    <br>
    <br>
    <br>
    <br>
    <h1 align="center">CONCENTRADO DE ORDENES</h1>
    <div id="section" align="center">
        
    <table border="0" class="table  table-condensed" style="max-width:960px;">
        <tr>
            <td colspan="7" align="center"><select id="sucbus" onchange="buscarsuc()" <?php if($iduser != 2 && $iduser != 5 && $iduser != 14 && $iduser != 14 && $iduser != 99){echo 'disabled';} ?>>
            <option value="0">GLOBAL</option>
            <option value="1" <?php if($suc == 1){ echo 'selected';} ?>>CULIACAN</option>
            <option value="2" <?php if($suc == 2){ echo 'selected';} ?>>MAZATLAN</option>
            <option value="3" <?php if($suc == 3){ echo 'selected';} ?>>HERMOSILLO</option>
        </select></td>
        </tr>
        
        
        <tr>
            
            <td colspan="5" "><select id="busqueda">
                <option value="-1" selected>Selecciona una opcion de busqueda</option>

                <option value="1">Por Fecha</option>
                <?php if($iduser != 8){?>
                <option value="13">Cancelados</option>
                <?php } ?>
                <?php if($iduser == 2 || $iduser == 14 || $iduser == 16){?>
                <option value="7">Perdidas</option>
                <?php } ?>
                <option value="14">Notas de venta</option>
                <option value="15">Facturas</option>
                <option value="4">Por Cliente</option>
                <option value="8">Por numero de folio</option>
                <option value="5">Por estado de pedido</option>
                <option value="6">Por fecha de entrega</option>
                <?php if($priv >2){?>
                <option value="16">Autorizaciones</option>
                <?php } ?>
                <!--<option value="2">Por Chofer</option>
                
                <option value="5">Por Semana</option>
                
                <option value="6">Revisadas por semana</option>
                <option value="7">No revisadas por semana</option>
                <option value="9">Pendientes de pago</option>
                <option value="10">Pagadas en efectivo</option>
                <option value="11">Pagadas por transferencia</option>
                <option value="12">Pagadas por semana</option>
                <option value="3">Mostrar todo</option>-->
            </select></td>
            <td><a href="busqueda.php">Limpiar busqueda</a></td>
        </tr>
        <tr>
            <td colspan="7"><br></td>
        </tr>
        <tr class="porid">
            <td colspan="2">Codigo:</td>
            
                <td style="width: 250px"><input type="text" class="ui-widget" id="codChofer" placeholder="Busca por codigo o nombre" width="200"/></td>
                <td colspan = "2" width="300">
                <div id="idDestinatario" style="width: 250px"><select id="desta"><option value="" disabled selected>Escoge una opcion</option></select></div>
                </td>
            </tr>
        <tr class="porid">
                <td colspan="2"><input type="date" id="bu" class="datepicker"/></td>
                <td colspan="1" width="200">&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="bus" class="datepicker"/></td>
                <td colspan="2"width="300"><button id="busqenvid">Buscar</button></td>
                
            
        </tr>
        <tr class="porid">
            <div id="mensaje"></div>
            <td colspan="7"><br></td>
        </tr>
        <tr id="porfecha">
            
            <td><input type="date" id="busqd" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqh" class="datepicker"/></td>
            <td colspan="1"width="200"><button id="busqenv">Buscar</button></td>
            



        </tr>
        <tr id="perdidas">
            
            <td><input type="date" id="busqdper" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhper" class="datepicker"/></td>
            <td colspan="1"width="200"><button id="busqper">Buscar</button></td>
            



        </tr>
        <tr id="cancel">
            
            <td><input type="date" id="busqdca" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhca" class="datepicker"/></td>
            <td colspan="1"width="200"><button id="busqenvca">Buscar</button></td>
            



        </tr>
        <tr id="notas">
            
            <td><input type="date" id="busqdn" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhn" class="datepicker"/></td>
            <td colspan="1"width="200"><button id="busqenvnot">Buscar</button></td>
            



        </tr>
        <tr id="facturas">
            
            <td><input type="date" id="busqdf" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhf" class="datepicker"/></td>
            <td colspan="1"width="200"><button id="busqenvfac">Buscar</button></td>
            



        </tr>

        <tr class="porcliente">
            <td colspan="2">Codigo:</td>
            
                <td style="width: 250px"><input type="text" class="ui-widget" id="codClienteb" placeholder="Busca por codigo o nombre" width="200"/></td>
                <td colspan = "2" width="300">
                <div id="clientesb" style="width: 250px"><select id="clientesa" width="200px"><option value="" disabled selected>Escoge una opcion</option></select></div>
                <td colspan="1" width="200"><button id="busqenvc">Buscar</button></td>
                </td>
            </tr>
        <!--<tr class="porcliente">
                <td colspan="2"><input type="date" id="busqdc" class="datepicker"/></td>
                <td colspan="1" width="200">&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhc" class="datepicker"/></td>
                
                
            
        </tr>-->
        
        <tr class="porsucursal">
                <td colspan="2" width="600"><select id="edoped" >
                        <option value="-1" selected>Selecciona el estado del pedido</option>
                        <option value="0" >Pedido capturado</option>
                        <option value="1">En proceso TALLER</option>
                        <option value="3" >En transito</option>
                        <option value="4" >En sucursal destino</option>
                        <option value="5" >Listo para entrega</option>
                        <option value="7" >Pagado pend. produccion</option>
                        <option value="6" >Entregado</option>
                    </select></td>
               
             <td colspan="1" width="200"><button id="busqenvsuc">Buscar</button></td>
                
            
        </tr>

        <tr class="autorizadores">
                <td colspan="2" width="600"><select id="autpedido" >
                        <option value="-1" selected>Selecciona el estado del pedido</option>
                        <option value="9" >Pendiente de autorizar</option>
                        <option value="10">Autorizado</option>
                    </select></td>
               
             <td colspan="1" width="200"><button id="busqenvaut">Buscar</button></td>
                
            
        </tr>

        <tr id="fechaent">
                <td colspan="2" width="600"><input type="date" id="fechae" name="FechaEnt"></td>
               
             <td colspan="1" width="200"><button id="busqfechaent">Buscar</button></td>
                
            
        </tr>
        
        <tr class="pornumero">

                <td><input type="text" id="numliq"/></td>
                
                <td colspan="1" width="200"><button id="busqenvnumliq">Buscar</button></td>
                
            
        </tr>
        <tr class="revisado">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="revisado">
        <td><input type="text" id="semrev" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anosr">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvrev">Buscar</button></td>
        </tr>
        <tr class="revisado">
            <td><br></td>
        </tr>
        <tr class="revisado">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelr();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
                <tr class="norevisado">
                <td colspan="1">Semana</td>
                
                </tr>
                <tr class="norevisado">
                <td><input type="text" id="semno" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
                <td colspan="1" width="600"><select id="anosn">
                <option value="-1" selected>Selecciona una opcion</option>

                <option value="2016">2016</option>
                <option value="2017" selected>2017</option>
                <option value="2018">2018</option>
                <option value="2019">2019</option>
                <option value="2020">2020</option>
            </select></td>

                <td colspan="1"width="200"><button id="busqenvnor">Buscar</button></td>
                
            
        </tr>
        <tr class="norevisado">
            <td><br></td>
        </tr>
        <tr class="norevisado">
            <td colspan="2"width="200"><a target="_blank" href="javascript:excelnr();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>

<!-- PENDIENTES DE PAGO-->
        <tr class="penpag">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="penpag">
        <td><input type="text" id="sempenp" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospenp">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpenp">Buscar</button></td>
        </tr>
        <tr class="penpag">
            <td><br></td>
        </tr>
        <tr class="penpag">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpenp();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PENDIENTE DE PAGO -->
<!-- PAGADAS EN EFECTIVO-->
        <tr class="pagefe">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pagefe">
        <td><input type="text" id="sempage" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospage">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpage">Buscar</button></td>
        </tr>
        <tr class="pagefe">
            <td><br></td>
        </tr>
        <tr class="pagefe">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpage();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAG EFECTIVO -->
<!-- PAGADAS POR TRANSFERENCIA-->
        <tr class="pagtra">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pagtra">
        <td><input type="text" id="sempagt" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospagt">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpagt">Buscar</button></td>
        </tr>
        <tr class="pagtra">
            <td><br></td>
        </tr>
        <tr class="pagtra">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpagt();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAGO TRANSF -->
<!-- PAGADAS-->
        <tr class="pag">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pag">
        <td><input type="text" id="sempag" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospag">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpag">Buscar</button></td>
        </tr>
        <tr class="pag">
            <td><br></td>
        </tr>
        <tr class="pag">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpag();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAGADOS -->
        <tr id="mostrartodo">
            <td colspan="5"><br></td>
        </tr>

    </table>
    <div class="registros" id="agrega-registros"></div>
</section>
</div>
        <div id="footer" align="center">
            <p>Cuadropolis</p>
        </div>

    <div class="modal fade" id="modalAsistencia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Pagos</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>1. Pago</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        
                        <td>Codigo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="codPago" disabled="disabled"  value="<?php echo $numa; ?>"/></td>
                        <td>Total: </td>
                        <td colspan="2"><input type="text" class="form-control" id="totalPago" disabled="disabled"  value="<?php echo $tpag; ?>"/></td>
                    </tr>
                    <tr>
                        
                        <td colspan="3"><select id="metodopago" width="100%">
                                    <option value="0" selected>Selecciona un metodo de pago</option>
                                    <option value="1">Efectivo</option>
                                    <option value="2">Depositos</option>
                                    <option value="3">Tarjeta bancaria</option>

                </select></td>
                <div id="cuentadepositos">
                <td colspan="3"><select id="cuentapago" width="100%">
                                    <option value="0" selected>Cuenta</option>
                                    <option value="1">Santander (655)</option>
                                    <option value="2">Banorte (4857)</option>
                                    <option value="3">Santander (6994)</option>

                </select></td></div>
                    </tr>
                    <tr>
                        
                        <td>Monedero utilizado: </td>
                        <td colspan="2"><input type="text" class="form-control" id="monutil"   value="<?php echo $monutil; ?>" disabled/></td>
                        <td colspan="2"></td>
                    </tr>
                    <tr>
                        
                        <td>Anticipo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="antPago"   value="0"/></td>
                        <td>Saldo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="saldoPago" disabled="disabled"  value="<?php echo $salpag; ?>"/></td>
                    </tr>

                    

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="calcpend"  value="Calcular"/>

                    <input type="button"  class="btn btn-default" id="GuardPag"  value="Guardar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>
      <iframe name="dummyframe" id="dummyframe" style="display: none;"></iframe>

      <div class="modal fade" id="modalFirma" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true" id="cerrarFirma">&times;</button>
              
            </div>
            <div class="modal-body">
            <fieldset><legend>Firma de recibido del cliente</legend>

            <form method="POST" action="upload.php" target="dummyframe">
                <input type="text" name="ComentarioFirma" id="ComentarioFirma" >    
                <div class="col-md-12">
                <input type="hidden" id="folioFirma" name="folio" >
                    <label class="" for="">Firma:</label>
                    <br/>
                    <div id="sig" ></div>
                    <br/>
                    <textarea id="signature64" name="signed" style="display: none"></textarea>
                </div>

                <br/>
                <button class="btn btn-success" id="guardarFirma">Guardar</button>
                <button id="clear" class="btn btn-danger">Limpiar</button>
                </form>
                </fieldset>
                
                
            </div>
          </div>
        </div>
      </div>

    </body>
    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
    
  <script type="text/javascript" src="assets/jquery.signature.min.js"></script>
    <script type="text/javascript">
    var sig = $('#sig').signature({syncField: '#signature64', syncFormat: 'PNG'});
    $('#clear').click(function(e) {
        e.preventDefault();
        sig.signature('clear');
        $("#signature64").val('');
    });
    $("#guardarFirma").click(function() {
        alert("La firma ha sido guardada");/* 
        $('#clear').click(); */

        $('#modalFirma').modal('toggle');
    });
    function valorFirma(id){
    $('#folioFirma').val(id);
    
    }   
</script>
        <script type="text/javascript">
$(document).ready(function() {
    
    /*var refresh_rate = 600; //<-- In seconds, change to your needs
    var last_user_action = 0;
    var has_focus = false;
    var lost_focus_count = 0;
    var focus_margin = 10; // If we lose focus more then the margin we want to refresh


    function reset() {
        last_user_action = 0;
        console.log("Reset");
    }

    function windowHasFocus() {
        has_focus = true;
    }

    function windowLostFocus() {
        has_focus = false;
        lost_focus_count++;
        console.log(lost_focus_count + " <~ Lost Focus");
    }

    setInterval(function () {
        last_user_action++;
        refreshCheck();
    }, 1000);

    function refreshCheck() {
        var focus = window.onfocus;
        if ((last_user_action >= refresh_rate && !has_focus && document.readyState == "complete") || lost_focus_count > focus_margin) {
            window.location.reload(); // If this is called no reset is needed
            reset(); // We want to reset just to make sure the location reload is not called.
        }

    }
    window.addEventListener("focus", windowHasFocus, false);
    window.addEventListener("blur", windowLostFocus, false);
    window.addEventListener("click", reset, false);
    window.addEventListener("mousemove", reset, false);
    window.addEventListener("keypress", reset, false);*/
    var flagb = 1;
    var sucbus = $('#sucbus').val();
    var urld = 'busq_ord_dia.php';
    $.ajax({
    type:'POST',
    data:'sucbus'+sucbus+'&flagb='+flagb,
    url:urld,
    success: function(datos){
        $('#agrega-registros').html(datos);
    }});
    
    $( "#menu" ).menu();
    $('.porid').hide();
    $('#cuentapago').hide();
    $('#porfecha').hide();
    $('#perdidas').hide();
    $('#notas').hide();
    $('#facturas').hide();
    $('#GuardPag').hide();
    $('#fechaent').hide();
    $('.porcliente').hide();
    $('#cancel').hide();
    $('.pornumero').hide();
    $('#mostrartodo').hide();
    
    $('.porsucursal').hide();
    $('.autorizadores').hide();
    $('.autorizadores').hide();
    $('.revisado').hide();
            $('.norevisado').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();



    $('#GuardPag').on('click', function(){
        var cod = $('#codPago').val();
        var total = $('#totalPago').val();
        var anti = $('#antPago').val();
        var saldo = $('#saldoPago').val();
        var mp = $('#metodopago').val();
        
        var cuentapago = $('#cuentapago').val();
        var metodopago = '';
        if((mp !=0)){
            
            var url = './guardar_pago.php';
            
            if(mp == 1){
                metodopago = 'Efectivo';
                var confirmacion = confirm("Deseas aplicar el pago? Metodo de pago: "+metodopago);
                if(confirmacion == true){
                $.ajax({
                type:'POST',
                url:url,
                data:'cod='+cod+'&total='+total+'&anti='+anti+'&saldo='+saldo+'&mp='+mp+'&cuentapago='+cuentapago,
                success: function(datos){
                    alert('Pago capturado');
                    location.reload();
                }
                });
                
                }
            }else if(mp == 2){
                    metodopago = 'Depositos';
                if(cuentapago != 0){
                    var confirmacion = confirm("Deseas aplicar el pago? Metodo de pago: "+metodopago);
                    if(confirmacion == true){
                    $.ajax({
                    type:'POST',
                    url:url,
                    data:'cod='+cod+'&total='+total+'&anti='+anti+'&saldo='+saldo+'&mp='+mp+'&cuentapago='+cuentapago,
                    success: function(datos){
                        alert('Pago capturado');
                        location.reload();
                    }
                    });
                    
                    }
                }
                else if(cuentapago == 0){
                    alert('Tienes que seleccionar cuenta de deposito');
                }
            }else if(mp == 3){
                metodopago = 'Tarjeta bancaria';
                var confirmacion = confirm("Deseas aplicar el pago? Metodo de pago: "+metodopago);
                if(confirmacion == true){
                $.ajax({
                type:'POST',
                url:url,
                data:'cod='+cod+'&total='+total+'&anti='+anti+'&saldo='+saldo+'&mp='+mp+'&cuentapago='+cuentapago,
                success: function(datos){
                    alert('Pago capturado');
                    location.reload();
                }
                });
                
                }
            }


            
        }else{
            alert('Tienes que seleccionar un metodo de pago ');
            $('#metodopago').focus();
        }
    });

    $('#busqenvid').on('click', function(){
        var dato = $('#codChofer').val();
        var desde = $('#bu').val();
        var hasta = $('#bus').val();
        var url = '../php/busca_id_operacion.php';
        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato+'&desde='+desde+'&hasta='+hasta,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
        });

    $('#busqenvsuc').on('click', function(){
        var edop = $('#edoped').val();
        var sucbus = $('#sucbus').val();
        var url = './busq_ord_edoped.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'edop='+edop+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqenvaut').on('click', function(){
        var edop = $('#autpedido').val();
        var sucbus = $('#sucbus').val();
        var url = './busq_aut_pedido.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'edop='+edop+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqfechaent').on('click', function(){
        var fechae = $('#fechae').val();
        var sucbus = $('#sucbus').val();
        var url = './busq_ord_fechae.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'fechae='+fechae+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqenvnumliq').on('click', function(){
        var sucbus = $('#sucbus').val();
        var num = $('#numliq').val();
        var url = 'busq_ord_cod.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'num='+num+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

        $('#busqenvrev').on('click', function(){
        var suc = $('#anosr').val();
        var desde = $('#semrev').val();
        var url = '../php/busca_rev_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

        

    $('#busqenvnor').on('click', function(){
        var suc = $('#anosn').val();
        var desde = $('#semno').val();
        var url = '../php/busca_nor_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqenvpag').on('click', function(){
        var suc = $('#anospag').val();
        var desde = $('#sempag').val();
        var url = '../php/busca_pag_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpagt').on('click', function(){
        var suc = $('#anospagt').val();
        var desde = $('#sempagt').val();
        var url = '../php/busca_pagtra_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpage').on('click', function(){
        var suc = $('#anospage').val();
        var desde = $('#sempage').val();
        var url = '../php/busca_pagefe_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpenp').on('click', function(){
        var suc = $('#anospenp').val();
        var desde = $('#sempenp').val();
        var url = '../php/busca_nopago_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#clientesa').on('change',function(){
        var dato = $('#clientesa').val();
        $('#codClienteb').val(dato);

    });

    $('#metodopago').on('change',function(){
        var dato = $('#metodopago').val();
        if(dato == 2){
            
            $('#cuentapago').show();
        }else{
            
            $('#cuentapago').hide();
        }

    });

    $('#calcpend').on('click',function(){
        
        var ant = $('#antPago').val();
        var saldo = $('#saldoPago').val();
        var total = $('#totalPago').val();
        var cod = $('#codPago').val();

        var url = 'calc_pago.php';
        
        $.ajax({
        type:'POST',
        url:url,
        data:'ant='+ant+'&saldo='+saldo+'&total='+total+'&cod='+cod,
        success: function(datos){
            $('#saldoPago').val(datos);
            $('#GuardPag').show();

        }
    });
        

    });

    $('#busqenv').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqd').val();
        var hasta = $('#busqh').val();
        var url = 'busq_fecha.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    $('#busqper').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdper').val();
        var hasta = $('#busqhper').val();
        var url = 'busq_fecha_per.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#busqenvnot').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdn').val();
        var hasta = $('#busqhn').val();
        var url = 'busq_fecha_notas.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#busqenvfac').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdf').val();
        var hasta = $('#busqhf').val();
        var url = 'busq_fecha_facturas.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    $('#busqenvca').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdca').val();
        var hasta = $('#busqhca').val();
        var url = 'busq_fecha_cancelados.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#clientesa').on('change',function(){
        var dato = $('#clientesa').val();
        $('#codClienteb').val(dato);

    });

    $('#busqenvc').on('click',function(){
        var sucbus = $('#sucbus').val();
        var dato = $('#clientesa').val();
        var url = './busq_ord_cliente.php';
        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    $('#codClienteb').on('keyup',function(){
        var dato = $('#codClienteb').val();
        var url = './buscar_cliente.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato,
        success: function(datos){
            /*var separar = datos.split(",");
            var nom = separar[0];
            var rs = separar[1];
            var id = separar[2];
            var per = separar[3];
            var rfc = separar[4];
            $('#codCliente').val(id).show(300).delay(5000);
            $('#rs2Remitente').val(rs).show(300).delay(5000);
            $('#nom2Remitente').val(nom).show(300).delay(5000);
            $('#rfcRemitente').val(rfc).show(300).delay(5000);
            if(per=='Fisica'){
                $('#ret1').hide();
                $('#retOrden').hide();
            }else{
                $('#ret1').show();
                $('#retOrden').show();
            }*/
            $('#clientesb').html(datos);
        }
    });
    return false;
    });


    $('#busqid').on('click', function(){
        var desde = $('#busqd').val();
        var hasta = $('#busqh').val();
        var url = '../php/busca_fechas.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });




    $('#busqueda').on('change', function(){
        var opc = $('#busqueda').val();
        if(opc == 1){
            $('#porfecha').show(300).delay(500);
            $('.porid').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            $('.pornumero').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('#perdidas').hide();
            $('.pag').hide();
            $('#mostrartodo').hide();
            $('#cancel').hide();
            $('#notas').hide();
            $('#fechaent').hide();
            $('#facturas').hide();
            
        }else if(opc == 2){
            $('.porid').show(300).delay(500);
            $('#porfecha').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.pornumero').hide();
            $('.porcliente').hide();
            $('#mostrartodo').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
             $('#perdidas').hide();
            $('#fechaent').hide();
            $('.pag').hide();
        }else if(opc == 3){
            $('.porid').hide();
            $('#porfecha').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.porcliente').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('#fechaent').hide();
            $('#mostrartodo').show();
             $('#perdidas').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
            var url = '../php/busca_todo_operacion.php';
            $.ajax({
                type:'POST',
                url:url,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
        }else if(opc == 4){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
             $('#perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.porcliente').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
            $('#fechaent').hide();
        }else if(opc == 5){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.revisado').hide();
             $('#perdidas').hide();
            $('.pornumero').hide();
            $('.norevisado').hide();
            $('#fechaent').hide();
            $('.porcliente').hide();
            $('.porsucursal').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 6){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
             $('#perdidas').hide();
            $('.revisado').hide();
            $('.pornumero').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('#fechaent').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 7){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
             $('#perdidas').show(300).delay(500);
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('#fechaent').hide();
            $('.pag').hide();
        }else if(opc == 8){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#perdidas').hide();
            $('#mostrartodo').hide();
            $('.pornumero').show(300).delay(500);
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('#fechaent').hide();
            $('.pag').hide();
        }else if(opc == 9){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('#perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').show(300).delay(500);
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
            $('#fechaent').hide();
        }else if(opc == 10){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('#perdidas').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').hide();
            $('.pagefe').show(300).delay(500);
            $('.pagtra').hide();
            $('.pag').hide();
            $('#fechaent').hide();
        }else if(opc == 11){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            $('#perdidas').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').hide();
            $('#fechaent').hide();
            $('.pagefe').hide();
            $('.pagtra').show(300).delay(500);
            $('.pag').hide();
        }else if(opc == 12){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            
    $('.porsucursal').hide();
    $('.autorizadores').hide();
            $('.penpag').hide();
            $('#fechaent').hide();
            $('.pagefe').hide();
            $('#perdidas').hide();
            $('.pagtra').hide();
            $('#cancel').hide();
            $('.pag').show(300).delay(500);
        }else if(opc == 13){
            $('#porfecha').hide();
            $('#notas').hide();
            $('#facturas').hide();
            $('#perdidas').hide();
            $('#fechaent').hide();
            $('#cancel').show(300).delay(500);
        }else if(opc == 14){
            $('#porfecha').hide();
            $('#perdidas').hide();
            $('#cancel').hide();
            $('#fechaent').hide();
            $('#notas').show(300).delay(500);
            $('#facturas').hide();
            
        }else if(opc == 15){
            $('#porfecha').hide();
            $('#fechaent').hide();
            $('#perdidas').hide();
            $('#cancel').hide();
            $('#notas').hide();
            $('#facturas').show(300).delay(500);
            
        }else if(opc == 16){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.revisado').hide();
             $('#perdidas').hide();
            $('.pornumero').hide();
            $('.norevisado').hide();
            $('#fechaent').hide();
            $('.porcliente').hide();
            $('.autorizadores').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        $('.porsucursal').hide();
        }


    });

    
                    
    });
    function pagoeditar(id){
        
        $.ajax({
            type:'POST',
            url:'./pagobuscar.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                var separar = datos.split("|");
                var total = separar[0];
                var anti = separar[1];
                var saldo = separar[2];
                var folio = separar[3];
                var monutil = separar[4];
                
                $('#codPago').val(folio);
                $('#totalPago').val(total);
                $('#monutil').val(monutil);
                $('#saldoPago').val(saldo);

                }else{
                    alert(datos);
                }
            }
            });
    }
    function premiomon(id){
        if(confirm('Deseas aplicar el bono a la orden?')){
        $.ajax({
            type:'POST',
            url:'./bonomonedero.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                alert('Bono aplicado');
                location.reload();

                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Orden no cancelada');
        }
    }

    function cancel(id){
        if(confirm('Deseas cancelar la orden?')){
        $.ajax({
            type:'POST',
            url:'./cancelarorden.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                alert('Orden cancelada');
                location.reload();

                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Orden no cancelada');
        }
    }
    function pagoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el pago?')){

            $.ajax({
            type:'POST',
            url:'../php/pagoaplicar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                $('s'+cons).val(valor);
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }

        function estadoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el estado?')){

            $.ajax({
            type:'POST',
            url:'./edoguardar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                var flagc = separar[2];
                var numcel = separar[3];
                var nc = separar[4];
                var folio = separar[5];
                $('s'+cons).val(valor);
                    if(flagc == 1){
                    window.open('https://wa.me/52'+numcel+'?text=Hola%20'+nc+'!%0D%0ATu%20orden%20'+folio+'%20esta%20lista%20para%20entrega,%20puedes%20pasar%20por%20ella%20de%20Lunes%20a%20Viernes%20de%2010%20am%20a%205:30%20pm%20o%20sabado%20de%2010%20a%201:00%20pm%0D%0A%0D%0ANotificaciones%20automáticas%20del%20sistema%20Cuadropolis%0D%0ARequiere%20pedido,%20cotización%20o%20información%0D%0AEnvía%20un%20mensaje%20a%20Cuadropolis%20por%20WhatsApp.%20https://wa.me/message/5RI5IX253UWNB1');


                    }
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }
        function buscarsuc(){
            var flagb = 0;
            var sucbus = $('#sucbus').val();
            var urld = 'busq_ord_dia.php';
            $.ajax({
            type:'POST',
            data:'sucbus='+sucbus+'&flagb='+flagb,
            url:urld,
            success: function(datos){
                $('#agrega-registros').html(datos);
            }
        });
        }

        

function revisado(){
    var checkbox_value = "|";
        var cont = 0;
        var edo = $('#accnor').val();
        $(":checkbox").each(function () {
            var ischecked = $(this).is(":checked");
            if (ischecked) {
                checkbox_value += $(this).val() + "|";
                cont++;
            }
        });

        var url = '../php/aplicar_revisados.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'check='+checkbox_value+'&cont='+cont+'&edo='+edo,
        success: function(datos){
            alert('Cambios aplicados');

        }
    });
}

function check(obj,id){
    if(obj.checked){
        $('.'+id).css("background", "#81BEF7");
    }else{
        $('.'+id).css("background", "#FFFFFF");
    }
}

    function excel(){
        var desde = $('#bd-desde').val();
        var hasta = $('#bd-hasta').val();
        window.open('../reportes/reportefechas.php?desde='+desde+'&hasta='+hasta);
    }

    function excelr(){
        var suc = $('#anosr').val();
        var desde = $('#semrev').val();
        window.open('../reportes/rpt_revisado.php?sem='+desde+'&ano='+suc);
    }

    function excelnr(){
        var suc = $('#anosn').val();
        var desde = $('#semno').val();
        window.open('../reportes/rpt_nor.php?ano='+suc+'&sem='+desde);
    }
    function excelpenp(){
        var suc = $('#anospenp').val();
        var desde = $('#sempenp').val();
        window.open('../reportes/rpt_npag.php?ano='+suc+'&sem='+desde);
    }
    function excelpage(){
        var suc = $('#anospage').val();
        var desde = $('#sempage').val();
        window.open('../reportes/rpt_pagefe.php?ano='+suc+'&sem='+desde);
    }
    function excelpagt(){
        var suc = $('#anospagt').val();
        var desde = $('#sempagt').val();
        window.open('../reportes/rpt_pagtra.php?ano='+suc+'&sem='+desde);
    }
    function excelpag(){
        var suc = $('#anospag').val();
        var desde = $('#sempag').val();
        window.open('../reportes/rpt_pag.php?ano='+suc+'&sem='+desde);
    }
    function exceltodo(){
        window.open('../reportes/rpt_cpc.php');
    }
    function gral(){
            var desde = $('#busqd').val();
            var hasta = $('#busqh').val();
            window.open('../reportes/rpt_bodega.php?desde='+desde+'&hasta='+hasta);
    }
    function editar(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelada(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelar(id) {
    if(confirm('Deseas confirmar la revision?')){
        if(confirm('Esta seguro de aplicar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/cancelarfact.php',
            data:'dato='+id,
            success: function(datos){
                if(datos==1){
                var clase = "\"btn btn-success\"";
                var text = "\"background-color:#2E9AFE;background-image:none;border-color:#2E9AFE;\""; 
                $("#p"+id).html("<td id=p"+id+"><button onclick=pagar("+id+") class="+clase+" style="+text+">Revisado</button></td>");
                }
            }
            });
        }else{
            alert('Revision no aplicada');
        }
    }else{
            alert('Revision no aplicada');
        }

}

function pagar(id) {
    if(confirm('Deseas cancelar la revision?')){
        if(confirm('Esta seguro de cancelar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/pagar.php',
            data:'dato='+id,
            success: function(datos){
                var clase = "\"btn btn-danger\"";
                alert('Revision cancelada');
                $("#p"+id).html("<td id=p"+id+"><button onclick=cancelar("+id+") class="+clase+">PENDIENTE</button></td>");
                  
            }
            });
        }else{
            alert('Revision no cancelada');
        }
    }else{
            alert('Revision no cancelada');
        }

}

function correo(dir) {
    var con = prompt("Confirma el correo");
        if(con != null){
            var seg = confirm("Seguro que quieres mandar el correo?");
            if(seg==true){
                $.ajax({
                type:'POST',
                url:'../php/correo.php',
                data:'dato='+dir +'&correo='+con,
                success: function(datos){
                    if(datos==1){
                    alert('Correo enviado');
                    }
                }
                });
            
            }else{
            alert('Error');
        }
        }
        }

            
        
        



    function cambiarfactura(id) {
        
            var seg = confirm("Seguro que quieres cambiar el tipo de folio? El folio actual sera cancelado");
            if(seg == true){
                var reg = 0;
                $.ajax({
                    type:'POST',
                    url:'./ordencambiar.php',
                    data:'dato='+id,
                    success: function(datos){
                        
                        $("#c"+id).html("<td>"+datos+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Folio cambiado');         
                    }
                });
            }else{
                
            }
        
    }

    function autorizarorden(id) {
        
        var seg = confirm("Seguro que quieres autorizar la orden? El folio actual sera cancelado");
        if(seg == true){
            var reg = 0;
            $.ajax({
                type:'POST',
                url:'./ordenautorizar.php',
                data:'dato='+id,
                success: function(datos){
                    
                    $("#c"+id).html("<td>"+datos+"</td>");
                    //$('#'+id+'').html("<td>Caja"+id+"</td>");
                    alert('Autorizado, notificar a sucursal');         
                }
            });
        }else{
            
        }
    
}
    function caja(id) {
        var num = prompt("Escribe el numero de factura");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura?");
            if(seg == true){
                var reg = 0;
                $.ajax({
                    type:'POST',
                    url:'./ordenfactura.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#f"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura asignada');         
                    }
                });
            }else{
                
            }
        }
    }

    function cajar(id) {
        var num = prompt("Escribe el numero de factura regreso");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura regreso?");
            if(seg == true){
                var reg = 1;
                $.ajax({
                    type:'POST',
                    url:'../php/orden_update.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#r"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura regreso asignada');         
                    }
                });
            }else{
                
            }
        }
    }

        </script>
</html>


